import { KNOWLEDGE_DATA } from "./testData";

// components/chat-components/knowledge.ts
Component({
  options: {
    styleIsolation: 'apply-shared'
  },
  /**
   * 组件的属性列表
   */
  properties: {
    data:Array
  },

  /**
   * 组件的初始数据
   */
  data: {
    KNOWLEDGE_DATA
  },

  /**
   * 组件的方法列表
   */
  methods: {
    linkClick(e){
      const item = e.currentTarget.dataset.item;
      wx.navigateTo({
        url:`/pages/knowledge-link/knowledge-link?link_content=${JSON.stringify(item)}`
      })
    }
  }
})